MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032160Open CASCADE[OCCT] OCCT:Codingpublic2021-02-24 14:112021-02-27 12:26
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032160: Coding Rules - merge AIS_InteractiveContext_*.cxx into single file
DescriptionAIS_InteractiveContext implementation is historically split into several .cxx files.
There is no strong logic behind this splitting - functionality is practically spread around all .cxx files complicating source code navigation.
It is proposed merging these files together.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0032040verifiedbugmaster Visualization, OpenGl_View - merge OpenGl_View_Redraw.cxx into OpenGl_View.cxx 

-  Notes
(0099117)
git (administrator)
2021-02-24 20:17

Branch CR32160 has been created by kgv.

SHA-1: 6a2b720d365788666556bd0ebcefec1d5cd3be45


Detailed log of new commits:

Author: kgv
Date: Wed Feb 24 20:03:40 2021 +0300

    0032160: Coding Rules - merge AIS_InteractiveContext_*.cxx into single file
    
    Removed redundant .lxx files from API package.
    
    AIS_InteractiveContext_1.cxx,AIS_InteractiveContext_2.cxx,AIS_InteractiveContext_3.cxx
    have been merged into AIS_InteractiveContext.cxx.
    V3d_View_2.cxx,V3d_View_3.cxx,V3d_View_4.cxx have been merged into V3d_View.cxx
    V3d_View_4.cxx has been merged into V3d_View.cxx.
(0099119)
kgv (developer)
2021-02-24 20:20

Patch is ready for review
- OCCT: branch CR32160.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32160-master-KGV/ [^]
(0099121)
git (administrator)
2021-02-24 20:39

Branch CR32160 has been updated forcibly by kgv.

SHA-1: 8ca18f064cf681955d523afd5511bbf2e52403e9
(0099132)
osa (developer)
2021-02-25 10:24

The patch was reviewed
(0099142)
git (administrator)
2021-02-25 13:53

Branch CR32160 has been updated forcibly by kgv.

SHA-1: cbafb35739a93aa8b7790d5aab11e825f09fad7e
(0099205)
bugmaster (administrator)
2021-02-27 11:50

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099211)
git (administrator)
2021-02-27 12:26

Branch CR32160 has been deleted by inv.

SHA-1: cbafb35739a93aa8b7790d5aab11e825f09fad7e

- Related Changesets
occt: master 478862fc
Timestamp: 2021-02-24 17:03:40
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032160: Coding Rules - merge AIS_InteractiveContext_*.cxx into single file

Removed redundant .lxx files from API package.

AIS_InteractiveContext_1.cxx,AIS_InteractiveContext_2.cxx,AIS_InteractiveContext_3.cxx
have been merged into AIS_InteractiveContext.cxx.
V3d_View_2.cxx,V3d_View_3.cxx,V3d_View_4.cxx have been merged into V3d_View.cxx
V3d_View_4.cxx has been merged into V3d_View.cxx.
mod - src/AIS/AIS_AttributeFilter.hxx Diff ] File ]
rm - src/AIS/AIS_AttributeFilter.lxx Diff ] File ]
mod - src/AIS/AIS_ExclusionFilter.hxx Diff ] File ]
rm - src/AIS/AIS_ExclusionFilter.lxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
rm - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
rm - src/AIS/AIS_InteractiveContext_2.cxx Diff ] File ]
rm - src/AIS/AIS_InteractiveContext_3.cxx Diff ] File ]
rm - src/AIS/AIS_MultipleConnectedInteractive.lxx Diff ] File ]
mod - src/AIS/FILES Diff ] File ]
mod - src/V3d/FILES Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
rm - src/V3d/V3d_Viewer_4.cxx Diff ] File ]
rm - src/V3d/V3d_View_2.cxx Diff ] File ]
rm - src/V3d/V3d_View_3.cxx Diff ] File ]
rm - src/V3d/V3d_View_4.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-24 14:11 kgv New Issue
2021-02-24 14:11 kgv Assigned To => kgv
2021-02-24 20:17 git Note Added: 0099117
2021-02-24 20:20 kgv Note Added: 0099119
2021-02-24 20:20 kgv Assigned To kgv => osa
2021-02-24 20:20 kgv Status new => resolved
2021-02-24 20:39 git Note Added: 0099121
2021-02-25 10:24 osa Note Added: 0099132
2021-02-25 10:24 osa Assigned To osa => bugmaster
2021-02-25 10:24 osa Status resolved => reviewed
2021-02-25 13:53 git Note Added: 0099142
2021-02-25 21:55 kgv Relationship added related to 0032040
2021-02-27 11:50 bugmaster Note Added: 0099205
2021-02-27 11:50 bugmaster Status reviewed => tested
2021-02-27 11:56 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master 478862fc
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099211


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker